## org.apache.taglibs.standard.lang.jstl.parser
Class ELParser

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.parser.ELParser

All Implemented Interfaces:
  ELParserConstants

    public class ELParser

extends Object
implements ELParserConstants

Generated EL parser.

Author:
  Nathan Abramson, Shawn Bayern

Field Summary
`Token` `jj_nt`
`boolean` `lookingAhead`
`Token` `token`
`ELParserTokenManager` `token_source`

Fields inherited from interface org.apache.taglibs.standard.lang.jstl.parser.ELParserConstants

`AND1, AND2, BADLY_ESCAPED_STRING_LITERAL, COLON, COMMA, DEFAULT, DIGIT, DIVIDE1, DIVIDE2, DOT, EMPTY, END_EXPRESSION, EOF, EQ1, EQ2, EXPONENT, FALSE, FLOATING_POINT_LITERAL, GE1, GE2, GT1, GT2, IDENTIFIER, ILLEGAL_CHARACTER, IMPL_OBJ_START, IN_EXPRESSION, INTEGER_LITERAL, LBRACKET, LE1, LE2, LETTER, LPAREN, LT1, LT2, MINUS, MODULUS1, MODULUS2, MULTIPLY, NE1, NE2, NON_EXPRESSION_TEXT, NOT1, NOT2, NULL, OR1, OR2, PLUS, RBRACKET, RPAREN, START_EXPRESSION, STRING_LITERAL, tokenImage, TRUE`

Constructor Summary
`ELParser(ELParserTokenManager tm)`
`ELParser(InputStream stream)`
`ELParser(Reader stream)`

Method Summary
`Expression` `AddExpression()`
`Expression` `AndExpression()`
`ArraySuffix` `ArraySuffix()`
`Expression` `AttrValueExpression()`
`String` `AttrValueString()`
`BooleanLiteral` `BooleanLiteral()`
`void` `disable_tracing()`
`void` `enable_tracing()`
`Expression` `EqualityExpression()`
`Expression` `Expression()`
`Object` `ExpressionString()` Returns a String if the expression string is a single String, an Expression if the expression string is a single Expression, an ExpressionString if it's a mixture of both.
`FloatingPointLiteral` `FloatingPointLiteral()`
`FunctionInvocation` `FunctionInvocation()`
`ParseException` `generateParseException()`
`Token` `getNextToken()`
`Token` `getToken(int index)`
`String` `Identifier()`
`IntegerLiteral` `IntegerLiteral()`
`Literal` `Literal()`
`static void` `main(String[] args)`
`Expression` `MultiplyExpression()`
`NamedValue` `NamedValue()`
`NullLiteral` `NullLiteral()`
`Expression` `OrExpression()`
`PropertySuffix` `PropertySuffix()`
`String` `QualifiedName()`
`void` `ReInit(ELParserTokenManager tm)`
`void` `ReInit(InputStream stream)`
`void` `ReInit(Reader stream)`
`Expression` `RelationalExpression()`
`StringLiteral` `StringLiteral()`
`Expression` `UnaryExpression()`
`Expression` `Value()`
`Expression` `ValuePrefix()` This is an element that can start a value
`ValueSuffix` `ValueSuffix()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ELParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### ELParser

    public ELParser(InputStream stream)

### ELParser

    public ELParser(Reader stream)

### ELParser

    public ELParser(ELParserTokenManager tm)

Method Detail

### main

    public static void main(String[] args)
                     throws ParseException

  Throws:
    `ParseException`

### ExpressionString

    public final Object ExpressionString()
                                  throws ParseException

  Returns a String if the expression string is a single String, an Expression if the expression string is a single Expression, an ExpressionString if it's a mixture of both.

  Throws:
    `ParseException`

### AttrValueString

    public final String AttrValueString()
                                 throws ParseException

  Throws:
    `ParseException`

### AttrValueExpression

    public final Expression AttrValueExpression()
                                         throws ParseException

  Throws:
    `ParseException`

### Expression

    public final Expression Expression()
                                throws ParseException

  Throws:
    `ParseException`

### OrExpression

    public final Expression OrExpression()
                                  throws ParseException

  Throws:
    `ParseException`

### AndExpression

    public final Expression AndExpression()
                                   throws ParseException

  Throws:
    `ParseException`

### EqualityExpression

    public final Expression EqualityExpression()
                                        throws ParseException

  Throws:
    `ParseException`

### RelationalExpression

    public final Expression RelationalExpression()
                                          throws ParseException

  Throws:
    `ParseException`

### AddExpression

    public final Expression AddExpression()
                                   throws ParseException

  Throws:
    `ParseException`

### MultiplyExpression

    public final Expression MultiplyExpression()
                                        throws ParseException

  Throws:
    `ParseException`

### UnaryExpression

    public final Expression UnaryExpression()
                                     throws ParseException

  Throws:
    `ParseException`

### Value

    public final Expression Value()
                           throws ParseException

  Throws:
    `ParseException`

### ValuePrefix

    public final Expression ValuePrefix()
                                 throws ParseException

  This is an element that can start a value

  Throws:
    `ParseException`

### NamedValue

    public final NamedValue NamedValue()
                                throws ParseException

  Throws:
    `ParseException`

### FunctionInvocation

    public final FunctionInvocation FunctionInvocation()
                                                throws ParseException

  Throws:
    `ParseException`

### ValueSuffix

    public final ValueSuffix ValueSuffix()
                                  throws ParseException

  Throws:
    `ParseException`

### PropertySuffix

    public final PropertySuffix PropertySuffix()
                                        throws ParseException

  Throws:
    `ParseException`

### ArraySuffix

    public final ArraySuffix ArraySuffix()
                                  throws ParseException

  Throws:
    `ParseException`

### Literal

    public final Literal Literal()
                          throws ParseException

  Throws:
    `ParseException`

### BooleanLiteral

    public final BooleanLiteral BooleanLiteral()
                                        throws ParseException

  Throws:
    `ParseException`

### StringLiteral

    public final StringLiteral StringLiteral()
                                      throws ParseException

  Throws:
    `ParseException`

### IntegerLiteral

    public final IntegerLiteral IntegerLiteral()
                                        throws ParseException

  Throws:
    `ParseException`

### FloatingPointLiteral

    public final FloatingPointLiteral FloatingPointLiteral()
                                                    throws ParseException

  Throws:
    `ParseException`

### NullLiteral

    public final NullLiteral NullLiteral()
                                  throws ParseException

  Throws:
    `ParseException`

### Identifier

    public final String Identifier()
                            throws ParseException

  Throws:
    `ParseException`

### QualifiedName

    public final String QualifiedName()
                               throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(ELParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.